{"openapi":"3.0.1","info":{"title":"Requirement Yogi Cloud REST API","description":"A REST API that allows programmatic access to all Requirement Yogi Cloud products.","termsOfService":"https://docs.requirementyogi.com/legal/terms-of-use","version":"1.0"},"externalDocs":{"description":"Documentation","url":"https://docs.requirementyogi.com/cloud/rest-apis"},"servers":[{"url":"https://api.requirementyogi.com/api","description":"Generated server url"}],"security":[{"token":[]}],"tags":[{"name":"Getting Started"},{"name":"Users"},{"name":"Organizations"},{"name":"Applications"},{"name":"Containers"},{"name":"Containers - Alias (Experimental 🧪)"},{"name":"Projects"},{"name":"Variants"},{"name":"Requirements"},{"name":"Requirements - Alias (Experimental 🧪)"}],"paths":{"/variants/{variantId}":{"get":{"tags":["Variants"],"summary":"Retrieves a variant","description":"Retrieves a variant.\n\n <p>Required permissions: Read permission on the variant.</p>","operationId":"getVariant","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantV2"}}}}}},"put":{"tags":["Variants"],"summary":"Updates a variant","description":"Updates a variant.\n\n <p>Required permissions: Update permission on the variant.</p>","operationId":"updateVariant","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantV2"}}}}}},"delete":{"tags":["Variants"],"summary":"Deletes a variant","description":"Deletes a variant.\n\n <p>Required permissions: Delete permission on the variant.</p>","operationId":"deleteVariant","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/users/me":{"get":{"tags":["Getting Started","Users"],"summary":"Finds the current user","description":"Finds the current user.\n <p>\n Required permissions: None (anyone can view their own user details).\n </p>","operationId":"getUser","responses":{"200":{"description":"the current user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUser"}}}}}},"put":{"tags":["Users"],"summary":"Updates the current user","description":"Updates the current user.\n <p>\n Required permissions: None (anyone can update their own user details).\n </p>","operationId":"updateUser","requestBody":{"description":"the request to update the user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUser"}}}}}},"delete":{"tags":["Users"],"summary":"Deletes the current user","description":"Deletes the current user.\n <p>\n Required permissions: None (anyone can delete their own user account).\n </p>","operationId":"deleteUser","responses":{"204":{"description":"No Content"}}}},"/requirements/{requirementId}":{"get":{"tags":["Requirements"],"summary":"Finds a requirement","description":"Finds a requirement.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirement","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"requirementId","in":"path","description":"the requirement identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the requirement, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"put":{"tags":["Requirements"],"summary":"Updates a requirement","description":"Updates a requirement.\n <p>\n Required permissions: Update permission on the requirements of the container.\n </p>","operationId":"updateRequirement","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"requirementId","in":"path","description":"the requirement identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"updateOrigin","in":"query","description":"whether to update the origin page if the requirement is defined in a Confluence page","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"description":"the request to update the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"200":{"description":"the updated requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"delete":{"tags":["Requirements"],"summary":"Deletes a requirement","description":"Deletes a requirement.\n <p>\n Required permissions: Delete permission on the requirements of the container.\n </p>","operationId":"deleteRequirement","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"requirementId","in":"path","description":"the requirement identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/projects/{projectId}":{"get":{"tags":["Projects"],"summary":"Finds a project","description":"Finds a project.\n <p>\n Required permissions: Read permission on the project.\n </p>","operationId":"getProject","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the project, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProject"}}}}}},"put":{"tags":["Projects"],"summary":"Updates a project","description":"Updates a project.\n <p>\n Required permissions: Update permission on the project.\n </p>","operationId":"updateProject","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectRequest"}}},"required":true},"responses":{"200":{"description":"the updated project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProject"}}}}}},"delete":{"tags":["Projects"],"summary":"Deletes a project","description":"Deletes a project.\n <p>\n Required permissions: Delete permission on the project.\n </p>","operationId":"deleteProject","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/projects/{projectId}/members/{userId}":{"get":{"tags":["Projects"],"summary":"Finds a member of the project","description":"Finds a member of the project.\n <p>\n Required permissions: Read permission on the members of the project.\n </p>","operationId":"getProjectMember","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the project member, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectMember"}}}}}},"put":{"tags":["Projects"],"summary":"Updates a member of the project","description":"Updates a member of the project.\n <p>\n Required permissions: Update permission on the members of the project.\n </p>","operationId":"updateProjectMember","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the request to update the project member","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectMemberUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated project member","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectMember"}}}}}},"delete":{"tags":["Projects"],"summary":"Removes a member from the project","description":"Removes a member from the project.\n <p>\n Required permissions: Delete permission on the members of the project.\n </p>","operationId":"removeProjectMember","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/organizations/{organizationId}":{"get":{"tags":["Organizations"],"summary":"Finds an organization","description":"Finds an organization.\n <p>\n Required permissions: Read permission on the organization.\n </p>","operationId":"getOrganization","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the organization, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}}}}},"put":{"tags":["Organizations"],"summary":"Updates an organization","description":"Updates an organization.\n <p>\n Required permissions: Update permission on the organization.\n </p>","operationId":"updateOrganization","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"the updated organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}}}}},"delete":{"tags":["Organizations"],"summary":"Deletes an organization","description":"Deletes an organization.\n <p>\n Required permissions: Delete permission on the organization.\n </p>","operationId":"deleteOrganization","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/organizations/{organizationId}/members/{userId}":{"get":{"tags":["Organizations"],"summary":"Finds a member of the organization","description":"Finds a member of the organization.\n <p>\n Required permissions: Read permission on the members of the organization.\n </p>","operationId":"getMember","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the organization member, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMember"}}}}}},"put":{"tags":["Organizations"],"summary":"Updates a member of the organization","description":"Updates a member of the organization.\n <p>\n Required permissions: Update permission on the members of the organization.\n </p>","operationId":"updateMember","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the request to update the organization member","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMemberUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMember"}}}}}},"delete":{"tags":["Organizations"],"summary":"Removes a member from the organization","description":"Removes a member from the organization.\n <p>\n Required permissions: Delete permission on the members of the organization.\n </p>","operationId":"removeMember","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","description":"the user identifier","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/organizations/{organizationId}/invitations/{invitationId}":{"get":{"tags":["Organizations"],"summary":"Finds a user invitation of the organization","description":"Finds a user invitation of the organization.\n <p>\n Required permissions: Read permission on the invitations of the organization.\n </p>","operationId":"getInvitation","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"invitationId","in":"path","description":"the invitation identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the invitation, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}}}}},"put":{"tags":["Organizations"],"summary":"Updates a user invitation of the organization","description":"Updates a user invitation of the organization.\n <p>\n Required permissions: Update permission on the invitations of the organization.\n </p>","operationId":"updateInvitation","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"invitationId","in":"path","description":"the invitation identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the user invitation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitationUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated invitation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}}}}},"delete":{"tags":["Organizations"],"summary":"Deletes a user invitation of the organization","description":"Deletes a user invitation of the organization.\n <p>\n Required permissions: Delete permission on the invitations of the organization.\n </p>","operationId":"deleteInvitation","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"invitationId","in":"path","description":"the invitation identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/containers/{containerId}":{"get":{"tags":["Containers"],"summary":"Finds a container","description":"Finds a container.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getContainer","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the container, if found","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}},"put":{"tags":["Containers"],"summary":"Updates a container","description":"Updates a container.\n <p>\n Required permissions: Update permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"updateContainer","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"required":true},"responses":{"200":{"description":"the updated container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}},"delete":{"tags":["Containers"],"summary":"Deletes a container","description":"Deletes a container.\n <p>\n Required permissions: Delete permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"deleteContainer","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/applications/{applicationId}/containers/{projectContainerId}/variants/{variantId}/requirements/{key}":{"get":{"tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"summary":"Retrieves a requirement in a variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nRetrieves a requirement in a variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementInVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the paginated list of requirements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"put":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Updates a requirement in a variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nUpdates a requirement in a variant.\n <p>\n Required permissions: Update permission on the requirements of the container.\n </p>","operationId":"updateRequirementInVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}},{"name":"updateOrigin","in":"query","description":"whether to update the origin page if the requirement is defined in a Confluence page","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"description":"the request to update the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"200":{"description":"the updated requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"delete":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Deletes a requirement in a variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nDeletes a requirement in a variant.\n <p>\n Required permissions: Delete permission on the requirements of the container.\n </p>","operationId":"deleteRequirementInVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/applications/{applicationId}/containers/{projectContainerId}/variants/current/requirements/{key}":{"get":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Retrieves a requirement in the current variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nRetrieves a requirement in the current variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementInCurrentVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the paginated list of requirements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"put":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Updates a requirement in the current variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nUpdates a requirement in the current variant.\n <p>\n Required permissions: Update permission on the requirements of the container.\n </p>","operationId":"updateRequirementInCurrentVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}},{"name":"updateOrigin","in":"query","description":"whether to update the origin page if the requirement is defined in a Confluence page","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"description":"the request to update the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"200":{"description":"the updated requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}},"delete":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Deletes a requirement in the current variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nDeletes a requirement in the current variant.\n <p>\n Required permissions: Delete permission on the requirements of the container.\n </p>","operationId":"deleteRequirementInCurrentVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"path","description":"the requirement key","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/applications/{applicationId}/containers/{containerId}":{"get":{"tags":["Containers - Alias (Experimental 🧪)"],"summary":"Finds a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds a container.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getContainer_1","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the container, if found","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}},"put":{"tags":["Containers - Alias (Experimental 🧪)"],"summary":"Updates a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nUpdates a container.\n <p>\n Required permissions: Update permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"updateContainer_1","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"required":true},"responses":{"200":{"description":"the updated container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}},"delete":{"tags":["Containers - Alias (Experimental 🧪)"],"summary":"Deletes a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nDeletes a container.\n <p>\n Required permissions: Delete permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"deleteContainer_1","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/variants":{"get":{"tags":["Variants"],"summary":"Search the variants","description":"Search the variants.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getVariants","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"containerId","in":"query","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"filter the results based on the variant name","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of variants","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOVariantV2"}}}}}},"post":{"tags":["Variants"],"summary":"Creates a variant","description":"Creates a variant.\n\n <p>Required permissions: Create permission on the container.</p>","operationId":"createVariant","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}}],"requestBody":{"description":"the request to create the variant (must include containerId)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantCreateRequest"}}},"required":true},"responses":{"201":{"description":"the created variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantV2"}}}}}}},"/users/me/invitations/{invitationId}/reject":{"post":{"tags":["Users"],"summary":"Rejects an invitation of the current user\n ","description":"Rejects an invitation of the current user\n <p>\n Required permissions: The user must be the target of the invitation.\n </p>","operationId":"rejectInvitation","parameters":[{"name":"invitationId","in":"path","description":"the invitation identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/users/me/invitations/{invitationId}/accept":{"post":{"tags":["Users"],"summary":"Accepts an invitation of the current user","description":"Accepts an invitation of the current user.\n <p>\n Required permissions: The user must be the target of the invitation.\n </p>","operationId":"acceptInvitation","parameters":[{"name":"invitationId","in":"path","description":"the invitation identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/requirements":{"get":{"tags":["Requirements"],"summary":"Finds all the requirements","description":"Finds all the requirements.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirements","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectContainerId","in":"query","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"query","description":"filter the results based on the variant identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"filter the results based on the requirement key","required":false,"schema":{"type":"string"}},{"name":"originContainerId","in":"query","description":"filter the results based on the origin container identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"includeOriginLinks","in":"query","description":"whether to fetch the origin links of the requirements","required":false,"schema":{"type":"boolean","default":false}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of requirements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTORequirementV2"}}}}}},"post":{"tags":["Requirements"],"summary":"Creates a requirement","description":"Creates a requirement.\n <p>\n Required permissions: Create permission on the requirements of the container.\n </p>","operationId":"createRequirement","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectContainerId","in":"query","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"query","description":"the variant identifier (if omitted, the current variant of the container is used)","required":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"201":{"description":"the created requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}}},"/projects":{"get":{"tags":["Projects"],"summary":"Finds all the projects","description":"Finds all the projects.\n <p>\n Required permissions: Read permission on the organization.\n </p>","operationId":"getProjects","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOStandaloneProject"}}}}}},"post":{"tags":["Projects"],"summary":"Creates a project","description":"Creates a project.\n <p>\n Required permissions: Create project permission on the organization.\n </p>","operationId":"createProject","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}}],"requestBody":{"description":"the request to create the project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectRequest"}}},"required":true},"responses":{"201":{"description":"the created project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProject"}}}}}}},"/projects/{projectId}/members":{"get":{"tags":["Projects"],"summary":"Finds all the members of the project","description":"Finds all the members of the project.\n <p>\n Required permissions: Read permission on the members of the project.\n </p>","operationId":"getProjectMembers","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of project members","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOStandaloneProjectMember"}}}}}},"post":{"tags":["Projects"],"summary":"Adds a member to the project","description":"Adds a member to the project.\n <p>\n Required permissions: Create permission on the members of the project.\n </p>","operationId":"addProjectMember","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}},{"name":"projectId","in":"path","description":"the project identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the project member","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectMemberCreateRequest"}}},"required":true},"responses":{"201":{"description":"the created project member","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOStandaloneProjectMember"}}}}}}},"/organizations":{"get":{"tags":["Getting Started","Organizations"],"summary":"Finds all the organizations the current user belongs to","description":"Finds all the organizations the current user belongs to.\n <p>\n Required permissions: None (anyone can view the organizations they belong to).\n </p>","operationId":"getOrganizations","responses":{"200":{"description":"the list of organizations of the current user","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOOrganization"}}}}}}},"post":{"tags":["Organizations"],"summary":"Creates an organization","description":"Creates an organization.\n <p>\n Required permissions: None (anyone can create new organizations).\n </p>","operationId":"createOrganization","requestBody":{"description":"the request to create the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationRequest"}}},"required":true},"responses":{"201":{"description":"the created organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}}}}}},"/organizations/{organizationId}/link-requests/{applicationId}/reject":{"post":{"tags":["Organizations"],"summary":"Rejects an application link request of the organization","description":"Rejects an application link request of the organization.\n <p>\n This means the application is not allowed to join the organization.\n </p>\n <p>\n Required permissions: Manage permission on the link requests of the organization.\n </p>","operationId":"rejectLinkRequest","parameters":[{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/organizations/{organizationId}/link-requests/{applicationId}/approve":{"post":{"tags":["Organizations"],"summary":"Approves an application link request of the organization","description":"Approves an application link request of the organization.\n <p>\n This means the application is allowed to join the organization.\n </p>\n <p>\n Required permissions: Manage permission on the link requests of the organization.\n </p>","operationId":"approveLinkRequest","parameters":[{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/organizations/{organizationId}/invitations":{"get":{"tags":["Organizations"],"summary":"Finds all the user invitations of the organization","description":"Finds all the user invitations of the organization.\n <p>\n Required permissions: Read permission on the invitations of the organization.\n </p>","operationId":"getInvitations","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of user invitations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOUserInvitation"}}}}}},"post":{"tags":["Organizations"],"summary":"Invites a user to join the organization","description":"Invites a user to join the organization.\n <p>\n Required permissions: Create permission on the invitations of the organization.\n </p>","operationId":"createInvitation","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the invitation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitationCreateRequest"}}},"required":true},"responses":{"201":{"description":"the created invitation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}}}}}},"/containers":{"get":{"tags":["Containers"],"summary":"Finds all the containers","description":"Finds all the containers.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getContainers","parameters":[{"name":"applicationId","in":"query","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"type","in":"query","description":"filter the results based on the container type","required":false,"schema":{"$ref":"#/components/schemas/ContainerType"}},{"name":"level","in":"query","description":"filter the results based on the container level","required":false,"schema":{"$ref":"#/components/schemas/ContainerLevel"}},{"name":"parentContainerId","in":"query","description":"filter the results based on the parent container identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"query","description":"filter the results based on the Confluence space identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","description":"filter the results based on the Confluence space key","required":false,"schema":{"type":"string"}},{"name":"pageId","in":"query","description":"filter the results based on the Confluence page identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"query","description":"filter the results based on the Jira project identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"issueId","in":"query","description":"filter the results based on the Jira issue identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"standaloneProjectId","in":"query","description":"filter the results based on the standalone project identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"fileName","in":"query","description":"filter the results based on the file name","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of containers","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOContainer"}}}}}},"post":{"tags":["Containers"],"summary":"Creates a container","description":"Creates a container.\n <p>\n Required permissions: Create container permission on the application.\n </p>\n <p>\n Note: You can only create containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"createContainer","parameters":[{"name":"applicationId","in":"query","description":"the application identifier (required, if the authentication method is not scoped to a single application)","required":false,"schema":{"type":"string"}}],"requestBody":{"description":"the request to create the container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"required":true},"responses":{"201":{"description":"the created container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}}},"/applications/{applicationId}/link-requests/{organizationId}":{"get":{"tags":["Applications"],"summary":"Finds an application link request","description":"Finds an application link request.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getLinkRequest","parameters":[{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the application link request, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}}}}},"post":{"tags":["Applications"],"summary":"Requests to join a different organization","description":"Requests to join a different organization.\n <p>\n Required permissions: Create permission on the link requests of the application.\n </p>","operationId":"createLinkRequest","parameters":[{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"201":{"description":"the created application link request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}}}}},"delete":{"tags":["Applications"],"summary":"Cancels an application link request","description":"Cancels an application link request.\n <p>\n Required permissions: Delete permission on the link requests of the application.\n </p>","operationId":"cancelLinkRequest","parameters":[{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/applications/{applicationId}/containers":{"get":{"tags":["Getting Started","Containers - Alias (Experimental 🧪)"],"summary":"Finds all the containers","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all the containers.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getContainers_1","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"type","in":"query","description":"filter the results based on the container type","required":false,"schema":{"$ref":"#/components/schemas/ContainerType"}},{"name":"level","in":"query","description":"filter the results based on the container level","required":false,"schema":{"$ref":"#/components/schemas/ContainerLevel"}},{"name":"parentContainerId","in":"query","description":"filter the results based on the parent container identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"query","description":"filter the results based on the Confluence space identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","description":"filter the results based on the Confluence space key","required":false,"schema":{"type":"string"}},{"name":"pageId","in":"query","description":"filter the results based on the Confluence page identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"query","description":"filter the results based on the Jira project identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"issueId","in":"query","description":"filter the results based on the Jira issue identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"standaloneProjectId","in":"query","description":"filter the results based on the standalone project identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"fileName","in":"query","description":"filter the results based on the file name","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of containers","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOContainer"}}}}}},"post":{"tags":["Containers - Alias (Experimental 🧪)"],"summary":"Creates a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nCreates a container.\n <p>\n Required permissions: Create container permission on the application.\n </p>\n <p>\n Note: You can only create containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"createContainer_1","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"required":true},"responses":{"201":{"description":"the created container","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}}},"/applications/{applicationId}/containers/{projectContainerId}/variants/{variantId}/requirements":{"get":{"tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"summary":"Search the requirements in a variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nSearch the requirements in a variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementsInVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"filter the results based on the requirement key","required":false,"schema":{"type":"string"}},{"name":"originContainerId","in":"query","description":"filter the results based on the origin container identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"includeOriginLinks","in":"query","description":"whether to fetch the origin links of the requirements","required":false,"schema":{"type":"boolean","default":false}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of requirements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTORequirementV2"}}}}}},"post":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Creates a requirement in a variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nCreates a requirement in a variant.\n <p>\n Required permissions: Create permission on the requirements of the container.\n </p>","operationId":"createRequirementInVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"201":{"description":"the created requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}}},"/applications/{applicationId}/containers/{projectContainerId}/variants/current/requirements":{"get":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Search the requirements in the current variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nSearch the requirements in the current variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementsInCurrentVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"filter the results based on the requirement key","required":false,"schema":{"type":"string"}},{"name":"originContainerId","in":"query","description":"filter the results based on the origin container identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"includeOriginLinks","in":"query","description":"whether to fetch the origin links of the requirements","required":false,"schema":{"type":"boolean","default":false}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of requirements","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTORequirementV2"}}}}}},"post":{"tags":["Requirements - Alias (Experimental 🧪)"],"summary":"Creates a requirement in the current variant","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nCreates a requirement in the current variant.\n <p>\n Required permissions: Create permission on the requirements of the container.\n </p>","operationId":"createRequirementInCurrentVariant","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectContainerId","in":"path","description":"the project container identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRequest"}}},"required":true},"responses":{"201":{"description":"the created requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}}}}}},"/users/me/organizations":{"get":{"tags":["Users"],"summary":"Finds all the organizations the current user belongs to","description":"Finds all the organizations the current user belongs to.\n <p>\n Required permissions: None (anyone can view the organizations they belong to).\n </p>","operationId":"getUserOrganizations","responses":{"200":{"description":"the list of organizations of the current user","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOOrganization"}}}}}}}},"/users/me/linked-accounts/{providerId}":{"get":{"tags":["Users"],"summary":"Finds a linked account of the current user","description":"Finds a linked account of the current user.\n <p>\n Required permissions: None (anyone can view their own linked accounts).\n </p>","operationId":"getLinkedAccount","parameters":[{"name":"providerId","in":"path","description":"the identifier of the identity provider","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the linked account, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOLinkedAccount"}}}}}},"delete":{"tags":["Users"],"summary":"Deletes a linked account of the current user","description":"Deletes a linked account of the current user.\n <p>\n Required permissions: None (anyone can delete their own linked accounts).\n </p>","operationId":"deleteLinkedAccount","parameters":[{"name":"providerId","in":"path","description":"the identifier of the identity provider","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/users/me/linked-accounts/{providerId}/link":{"get":{"tags":["Users"],"summary":"Builds the link to initiate the account linking process","description":"Builds the link to initiate the account linking process.\n <p>\n Required permissions: None (anyone can link new accounts with their own user).\n </p>","operationId":"getAccountLinkingUrl","parameters":[{"name":"providerId","in":"path","description":"the identifier of the identity provider","required":true,"schema":{"type":"string"}},{"name":"redirectUri","in":"query","description":"the redirect URI","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the account link URI","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/users/me/linked-accounts/atlassian/profile":{"get":{"tags":["Users"],"summary":"Finds the user profile of the linked Atlassian account","description":"Finds the user profile of the linked Atlassian account.\n <p>\n Required permissions: None (anyone can view their own Atlassian profile).\n </p>","operationId":"getAtlassianProfile","responses":{"200":{"description":"the user profile of the linked Atlassian account, if found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOAtlassianProfile"}}}}}}},"/users/me/linked-accounts/atlassian/accessible-resources":{"get":{"tags":["Users"],"summary":"Finds the accessible resources of the linked Atlassian account","description":"Finds the accessible resources of the linked Atlassian account.\n <p>\n Required permissions: None (anyone can view their own Atlassian accessible resources).\n </p>","operationId":"getAtlassianAccessibleResources","parameters":[{"name":"type","in":"query","description":"the type of Atlassian resource to filter by, if provided","required":false,"schema":{"$ref":"#/components/schemas/AtlassianResourceType"}}],"responses":{"200":{"description":"the list of accessible resources of the linked Atlassian account","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOAtlassianResource"}}}}}}}},"/users/me/invitations":{"get":{"tags":["Users"],"summary":"Finds all the invitations of the current user","description":"Finds all the invitations of the current user.\n <p>\n Required permissions: None (anyone can view their own user invitations).\n </p>","operationId":"getUserInvitations","parameters":[{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of invitations of the current user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOUserInvitation"}}}}}}},"/users/me/credentials":{"get":{"tags":["Users"],"summary":"Finds all the credentials of the current user","description":"Finds all the credentials of the current user.\n <p>\n Required permissions: None (anyone can view their own user credentials).\n </p>","operationId":"getCredentials","responses":{"200":{"description":"the current user","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOUserCredential"}}}}}}}},"/organizations/{organizationId}/members":{"get":{"tags":["Organizations"],"summary":"Finds all the members of the organization","description":"Finds all the members of the organization.\n <p>\n Required permissions: Read permission on the members of the organization.\n </p>","operationId":"getMembers","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of organization members","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOOrganizationMember"}}}}}}},"/organizations/{organizationId}/link-requests":{"get":{"tags":["Organizations"],"summary":"Finds all application link requests of the organization","description":"Finds all application link requests of the organization.\n <p>\n Required permissions: Read permission on the link requests of the organization.\n </p>","operationId":"getOrganizationLinkRequests","parameters":[{"name":"organizationId","in":"path","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of application link requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplicationLinkRequest"}}}}}}},"/organizations/{organizationId}/link-requests/{applicationId}":{"get":{"tags":["Organizations"],"summary":"Finds an application link request of the organization","description":"Finds an application link request of the organization.\n <p>\n Required permissions: Read permission on the link requests of the organization.\n </p>","operationId":"getOrganizationLinkRequest","parameters":[{"name":"organizationId","in":"path","description":"the identifier of the target organization","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"applicationId","in":"path","description":"the identifier of the source application","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the application link request, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}}}}}},"/applications":{"get":{"tags":["Getting Started","Applications"],"summary":"Finds all the applications","description":"Finds all the applications.\n <p>\n Required permissions: Read permission on the applications of the organization.\n </p>","operationId":"getApplications","parameters":[{"name":"organizationId","in":"query","description":"the organization identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of applications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplication"}}}}}}},"/applications/{applicationId}":{"get":{"tags":["Applications"],"summary":"Finds an application","description":"Finds an application.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getApplication","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the application, if found","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceApplication"},{"$ref":"#/components/schemas/DTOJiraApplication"},{"$ref":"#/components/schemas/DTOStandaloneApplication"}]}}}}}}},"/applications/{applicationId}/link-requests":{"get":{"tags":["Applications"],"summary":"Finds all application link requests of an application","description":"Finds all application link requests of an application.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getLinkRequests","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of link requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplicationLinkRequest"}}}}}}},"/applications/{applicationId}/link-requests/candidates":{"get":{"tags":["Applications"],"summary":"Finds all applications that could be linked to the current application by joining another organization","description":"Finds all applications that could be linked to the current application by joining another organization.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getCandidates","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the paginated list of candidate applications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplication"}}}}}}},"/applications/{applicationId}/containers/{containerId}/variants":{"get":{"tags":["Getting Started","Variants - Alias (Experimental 🧪)"],"summary":"Search variants in a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nSearch variants in a container.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getVariantsInContainer","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"path","description":"the container identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"filter the results based on the variant name","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the paginated list of variants","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOVariantV2"}}}}}}},"/applications/{applicationId}/containers/{containerId}/variants/{variantId}":{"get":{"tags":["Getting Started","Variants - Alias (Experimental 🧪)"],"summary":"Retrieves a variant in a container","description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nRetrieves a variant in a container.\n\n <p>Required permissions: Read permission on the variant.</p>","operationId":"getVariantInContainer","parameters":[{"name":"applicationId","in":"path","description":"the application identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"path","description":"the variant identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantV2"}}}}}}},"/applications/current":{"get":{"tags":["Applications"],"summary":"Finds the current application","description":"Finds the current application.\n <p>\n Required permissions: None (anyone can view the current application they are authenticated with).\n </p>","operationId":"getCurrentApplication","responses":{"200":{"description":"the current application","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceApplication"},{"$ref":"#/components/schemas/DTOJiraApplication"},{"$ref":"#/components/schemas/DTOStandaloneApplication"}]}}}}}}},"/users/me/credentials/{credentialId}":{"delete":{"tags":["Users"],"summary":"Deletes a credential of the current user","description":"Deletes a credential of the current user.\n <p>\n Required permissions: None (anyone can delete their own user credentials).\n </p>","operationId":"deleteCredential","parameters":[{"name":"credentialId","in":"path","description":"the credential identifier","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}}},"components":{"schemas":{"DTOVariantUpdateRequest":{"required":["batchId","description","name","scrollDocumentId"],"type":"object","properties":{"name":{"minLength":1,"type":"string"},"description":{"type":"string"},"scrollDocumentId":{"type":"string"},"batchId":{"type":"string"}}},"ContainerLevel":{"type":"string","enum":["INSTANCE","PROJECT","DOCUMENT"]},"ContainerType":{"type":"string","enum":["CONFLUENCE_INSTANCE","CONFLUENCE_SPACE","CONFLUENCE_PAGE","JIRA_INSTANCE","JIRA_PROJECT","JIRA_ISSUE","TEST_CASE_VERSION","EXCEL_FILE","STANDALONE_PROJECT"]},"DBJiraIssueContainer":{"required":["applicationId","id","issueId","levels","type","version"],"type":"object","properties":{"applicationId":{"type":"integer","format":"int64"},"id":{"type":"integer","format":"int64"},"type":{"$ref":"#/components/schemas/ContainerType"},"version":{"type":"integer","format":"int32"},"projectId":{"type":"integer","format":"int64"},"issueId":{"type":"integer","format":"int64"},"levels":{"type":"array","items":{"$ref":"#/components/schemas/ContainerLevel"}}}},"DTOConfluenceInstanceContainer":{"required":["applicationId","id","levels","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"}]},"DTOConfluencePageContainer":{"required":["applicationId","id","levels","pageId","spaceId","spaceKey","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"spaceId":{"type":"integer","format":"int64"},"spaceKey":{"type":"string"},"pageId":{"type":"integer","format":"int64"}}}]},"DTOConfluenceSpaceContainer":{"required":["applicationId","id","levels","spaceId","spaceKey","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"spaceId":{"type":"integer","format":"int64"},"spaceKey":{"type":"string"}}}]},"DTOContainer":{"required":["applicationId","id","levels","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"applicationId":{"type":"integer","format":"int64"},"type":{"$ref":"#/components/schemas/ContainerType"},"levels":{"type":"array","readOnly":true,"items":{"$ref":"#/components/schemas/ContainerLevel"}}},"discriminator":{"propertyName":"type"}},"DTOExcelFileContainer":{"required":["applicationId","fileName","id","levels","parentContainerId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"parentContainerId":{"type":"integer","format":"int64"},"fileName":{"type":"string"}}}]},"DTOJiraInstanceContainer":{"required":["applicationId","id","levels","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"}]},"DTOJiraIssue":{"required":["container","hasNoPermission","issueId","issueKey","issueTypeIconUrl","status","summary","url"],"type":"object","properties":{"issueId":{"type":"integer","format":"int64"},"issueKey":{"type":"string"},"projectId":{"type":"string"},"summary":{"type":"string"},"issueTypeIconUrl":{"type":"string"},"status":{"type":"string"},"url":{"type":"string"},"fields":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JsonNode"}},"hasNoPermission":{"type":"boolean"},"container":{"$ref":"#/components/schemas/DBJiraIssueContainer"}}},"DTOJiraIssueContainer":{"required":["applicationId","id","issue","issueId","levels","projectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"projectId":{"type":"integer","format":"int64"},"issueId":{"type":"integer","format":"int64"},"issue":{"$ref":"#/components/schemas/DTOJiraIssue"}}}]},"DTOJiraProjectContainer":{"required":["applicationId","id","levels","projectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"projectId":{"type":"integer","format":"int64"}}}]},"DTOStandaloneProjectContainer":{"required":["applicationId","id","levels","standaloneProjectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"standaloneProjectId":{"type":"integer","format":"int64"}}}]},"DTOTestCaseVersionContainer":{"required":["applicationId","id","levels","testCaseId","testCaseKey","type","versionNumber"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"testCaseId":{"type":"integer","format":"int64"},"testCaseKey":{"type":"string"},"versionNumber":{"type":"integer","format":"int32"}}}]},"DTOVariantV2":{"required":["container","createdAt","current","id","name","status","updatedAt"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"container":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]},"name":{"type":"string"},"current":{"type":"boolean"},"status":{"$ref":"#/components/schemas/LifecycleStatus"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"JsonNode":{"type":"object"},"LifecycleStatus":{"type":"string","enum":["ACTIVE","DELETED","ARCHIVED"]},"DTOUserUpdateRequest":{"required":["email","firstName","lastName"],"type":"object","properties":{"firstName":{"minLength":1,"type":"string"},"lastName":{"minLength":1,"type":"string"},"email":{"minLength":1,"type":"string"}}},"DTOUser":{"required":["email","emailVerified","firstName","id","lastName"],"type":"object","properties":{"id":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"emailVerified":{"type":"boolean"}}},"DTOLinkRequest":{"required":["containerId","type"],"type":"object","properties":{"type":{"$ref":"#/components/schemas/LinkType"},"containerId":{"type":"integer","format":"int64"}},"discriminator":{"propertyName":"type"}},"DTOOriginLinkRequest":{"required":["containerId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOLinkRequest"},{"type":"object","properties":{"marker":{"type":"string"},"indexOrder":{"type":"integer","format":"int32"}}}]},"DTORequirementProperty":{"required":["key","storageData"],"type":"object","properties":{"key":{"minLength":1,"type":"string"},"storageData":{"$ref":"#/components/schemas/DTOStorageData"}}},"DTORequirementRequest":{"required":["body","key"],"type":"object","properties":{"key":{"minLength":1,"type":"string"},"body":{"$ref":"#/components/schemas/DTOStorageData"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementProperty"}},"links":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DTOOriginLinkRequest"}]}}}},"DTOStorageData":{"required":["body","fallback","type"],"type":"object","properties":{"type":{"$ref":"#/components/schemas/StorageType"},"body":{"type":"string"},"fallback":{"type":"string"}}},"LinkType":{"type":"string","enum":["ORIGIN","REFERENCE","DEPENDENCY","JIRA_ISSUE","TEST_CASE"]},"StorageType":{"type":"string","enum":["ADF","TEXT","HTML","XML","EXCEL","BINARY","BLOB"]},"DTOLinkV2":{"required":["container","id","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"type":{"$ref":"#/components/schemas/LinkType"},"container":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}},"discriminator":{"propertyName":"type"}},"DTOOriginLink":{"required":["container","id","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOLinkV2"},{"type":"object","properties":{"marker":{"type":"string"},"indexOrder":{"type":"integer","format":"int32"}}}]},"DTOPaginatedListDTOLinkV2":{"required":["hasMore","items"],"type":"object","properties":{"items":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DTOOriginLink"}]}},"hasMore":{"type":"boolean"}}},"DTORequirementV2":{"required":["body","container","id","key","properties","status","variant"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"container":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]},"variant":{"$ref":"#/components/schemas/DTOVariantV2"},"key":{"type":"string"},"body":{"$ref":"#/components/schemas/DTOStorageData"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementProperty"}},"originLinks":{"$ref":"#/components/schemas/DTOPaginatedListDTOLinkV2"},"status":{"$ref":"#/components/schemas/RequirementStatus"}}},"RequirementStatus":{"type":"string","enum":["ACTIVE","MOVED","DELETED"]},"DTOStandaloneProjectRequest":{"required":["name"],"type":"object","properties":{"name":{"minLength":1,"type":"string"}}},"DTOStandaloneProject":{"required":["createdAt","id","name","updatedAt"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"DTOStandaloneProjectMemberUpdateRequest":{"required":["role"],"type":"object","properties":{"role":{"$ref":"#/components/schemas/StandaloneProjectRole"}}},"StandaloneProjectRole":{"type":"string","enum":["VIEWER","EDITOR","ADMIN"]},"DTOStandaloneProjectMember":{"required":["email","emailVerified","firstName","id","lastName","role"],"type":"object","properties":{"id":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"emailVerified":{"type":"boolean"},"role":{"$ref":"#/components/schemas/StandaloneProjectRole"}}},"DTOOrganizationRequest":{"required":["displayName","name"],"type":"object","properties":{"name":{"maxLength":50,"minLength":1,"pattern":"^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$","type":"string"},"displayName":{"minLength":1,"type":"string"}}},"DTOOrganization":{"required":["displayName","id","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"displayName":{"type":"string"}}},"DTOOrganizationMemberUpdateRequest":{"required":["role"],"type":"object","properties":{"role":{"$ref":"#/components/schemas/OrganizationRole"}}},"OrganizationRole":{"type":"string","enum":["GUEST","MEMBER","ADMIN","OWNER"]},"DTOOrganizationMember":{"required":["email","emailVerified","firstName","id","lastName","role"],"type":"object","properties":{"id":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"emailVerified":{"type":"boolean"},"role":{"$ref":"#/components/schemas/OrganizationRole"}}},"DTOUserInvitationUpdateRequest":{"required":["role"],"type":"object","properties":{"role":{"$ref":"#/components/schemas/OrganizationRole"}}},"DTOUserInvitation":{"required":["createdAt","email","id","inviterId","organization","updatedAt"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"organization":{"$ref":"#/components/schemas/DTOOrganization"},"email":{"type":"string"},"inviterId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"DTOContainerRequest":{"required":["type"],"type":"object","properties":{"type":{"$ref":"#/components/schemas/ContainerType"}},"discriminator":{"propertyName":"type"}},"DTOExcelFileContainerRequest":{"required":["fileName","parentContainerId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainerRequest"},{"type":"object","properties":{"parentContainerId":{"type":"integer","format":"int64"},"fileName":{"minLength":1,"type":"string"}}}]},"DTOVariantCreateRequest":{"required":["batchId","containerId","current","description","name","scrollDocumentId"],"type":"object","properties":{"containerId":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"description":{"type":"string"},"current":{"type":"boolean"},"scrollDocumentId":{"type":"string"},"batchId":{"type":"string"}}},"DTOStandaloneProjectMemberCreateRequest":{"required":["role","userId"],"type":"object","properties":{"userId":{"minLength":1,"type":"string"},"role":{"$ref":"#/components/schemas/StandaloneProjectRole"}}},"DTOUserInvitationCreateRequest":{"required":["email","role"],"type":"object","properties":{"email":{"minLength":1,"type":"string","format":"email"},"role":{"$ref":"#/components/schemas/OrganizationRole"}}},"ApplicationStatus":{"type":"string","enum":["ACTIVE","DISABLED","UNINSTALLED"]},"ApplicationType":{"type":"string","enum":["JIRA","CONFLUENCE","STANDALONE"]},"DTOApplication":{"required":["id","organization","status","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"organization":{"$ref":"#/components/schemas/DTOOrganization"},"type":{"$ref":"#/components/schemas/ApplicationType"},"status":{"$ref":"#/components/schemas/ApplicationStatus"}},"discriminator":{"propertyName":"type"}},"DTOApplicationLinkRequest":{"required":["application","createdAt","organization","updatedAt"],"type":"object","properties":{"application":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceApplication"},{"$ref":"#/components/schemas/DTOJiraApplication"},{"$ref":"#/components/schemas/DTOStandaloneApplication"}]},"organization":{"$ref":"#/components/schemas/DTOOrganization"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"DTOConfluenceApplication":{"required":["baseUrl","cloudId","id","installationId","organization","status","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOApplication"},{"type":"object","properties":{"cloudId":{"type":"string"},"baseUrl":{"type":"string"},"installationId":{"type":"string"}}}]},"DTOJiraApplication":{"required":["baseUrl","cloudId","id","installationId","integrations","organization","status","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOApplication"},{"type":"object","properties":{"cloudId":{"type":"string"},"baseUrl":{"type":"string"},"installationId":{"type":"string"},"integrations":{"$ref":"#/components/schemas/DTOJiraApplicationIntegrationDetails"}}}]},"DTOJiraApplicationIntegrationDetails":{"required":["hasUserZephyrToken"],"type":"object","properties":{"hasUserZephyrToken":{"type":"boolean"}}},"DTOStandaloneApplication":{"required":["id","organization","status","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOApplication"}]},"DTOPagedResponseDTOVariantV2":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOVariantV2"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOLinkedAccount":{"required":["providerId","status","userId","userName"],"type":"object","properties":{"providerId":{"type":"string"},"userId":{"type":"string"},"userName":{"type":"string"},"status":{"$ref":"#/components/schemas/LinkedAccountStatus"}}},"LinkedAccountStatus":{"type":"string","enum":["ACTIVE","TOKEN_ERROR"]},"DTOAtlassianProfile":{"required":["account_id","email","name","picture"],"type":"object","properties":{"account_id":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"picture":{"type":"string"}}},"AtlassianResourceType":{"type":"string","enum":["CONFLUENCE","JIRA","UNKNOWN"]},"DTOAtlassianResource":{"required":["cloudId","type","url"],"type":"object","properties":{"cloudId":{"type":"string"},"type":{"$ref":"#/components/schemas/AtlassianResourceType"},"url":{"type":"string"}}},"DTOPagedResponseDTOUserInvitation":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOUserInvitation"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOUserCredential":{"required":["createdAt","id","name","type"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"name":{"type":"string"},"createdAt":{"type":"string","format":"date-time"}}},"DTOPagedResponseDTORequirementV2":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementV2"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOPagedResponseDTOStandaloneProject":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOStandaloneProject"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOPagedResponseDTOStandaloneProjectMember":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOStandaloneProjectMember"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOPagedResponseDTOOrganizationMember":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOOrganizationMember"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOPagedResponseDTOApplicationLinkRequest":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}},"offset":{"type":"integer","format":"int64"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int64"}}},"DTOPagedResponseDTOContainer":{"required":["items","limit","offset","total"],"type":"object","properties":{"items":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTO
[...]
